# Documentation

 **★ WORK IN PROGRESS ★**


## Compiler usage

* [Getting started](api/getting-started.md)

* [Command-line option reference](api/command-line.md)

* [Target platform reference](api/target-platforms.md)

* [Defining a custom platform](api/custom-platform.md)

## Language reference

* [Preprocessor](lang/preprocessor.md)

* [Syntax](lang/syntax.md)

* [Types](lang/types.md)

* [Literals](lang/literals.md)

* [List of text encodings and escape sequences](lang/text.md)

* [Operators reference](lang/operators.md)

* [Functions](lang/functions.md)

* [Inline 6502 assembly syntax](lang/assembly.md)

* [Inline 8080/LR35902/Z80 assembly syntax](lang/assemblyz80.md)

* [Important guidelines regarding reentrancy](lang/reentrancy.md)

## Library reference

* [`stdlib` module](stdlib/stdlib.md)

* [Other cross-platform modules](stdlib/other.md)

* [C64-only modules](stdlib/c64.md)

* [NES-only modules](stdlib/nes.md)

## Implementation details

* [Variable storage](abi/variable-storage.md)

* [Calling convention](abi/calling-convention.md)

* [Undefined behaviour](abi/undefined-behaviour.md)

* [Undocumented instruction support](abi/undocumented.md)

* [Reference for labels in generated assembly code](abi/generated-labels.md)
